Bug 144454 - package association in cloned errata not visible
package association in cloned errata not visible
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
:
Depends On: 149067 150160
Blocks: 145824
  Show dependency treegraph
 
Reported: 2005-01-07 04:43 EST by Kurt Keller
Modified: 2007-07-31 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 12:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Keller 2005-01-07 04:43:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
The package association for cloned errata is not visible, for
original RH errata it is ok.

Errata -> All -> chose a cloned errata -> Packages
the list will say none for cloned errata, but is ok for RH errata

The association is there however:
Errata -> Manage Errata -> Published -> chose an errata -> 
Packages -> List/Remove

Version-Release number of selected component (if applicable):
Red Hat Network release 3.6.0

How reproducible:
Always

Steps to Reproduce:
1. clone an RH errata
2. Errata -> All -> chose a cloned errata -> Packages

    

Actual Results:  the package list says '(none)'

Expected Results:  the package list should list all the associated
packages
(the ones visible under:
 Errata -> Manage Errata -> Published -> chose an errata -> 
 Packages -> List/Remove)

Additional info:
Comment 4 Robin Norwood 2005-02-24 00:35:44 EST
fixed in CVS.

now we create the rhnErrataFile records whenever we edit a managed errata.

test plan:

1) create a custom errata.
2) Add packages, preferably from various channels.
3) publish the errata, preferable to several channels
4) Go to the errata details page for that errata.
(/network/errata/details/package_list.pxt?eid=)
-Note that the errata's packages are listed, by channel.
5) edit the errata, removing and adding some packages.
6) return to the page from step 4, and make sure the changes are reflected here.

satellite only:
7) clone a RH base channel
8) clone one or more errata associated with the channel from the channel manager
interface.
9) Check the publicly accessible errata page just like step 4.  The channels and
packages should be right.
10) clone an errata through the clone errata interface in Errata->Manage Errata
and publish it.
11) Check that the publicly accessible errata page is correct and matches the
package list for that errata.
Comment 9 Max Spevack 2005-03-11 12:41:21 EST
Tested a lot of different things:

1.  Created a custom errata, added multiple packages to it, published
the errata to several channels.
2.  Went back to the errata, modified the package set of it, updated
the errata.
3.  Cloned a base channel, selectively choosing some errata to be
cloned and others not to be cloned.
4.  Went into the Errata tab, and cloned some of the remaining errata
that had not been cloned.
5.  Checked the publicly accessible errata page, looks sane to me.

PROD_READY
Comment 10 Todd Warner 2005-04-08 12:29:43 EDT
mass move: PROD_READY --> CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.